// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdProfiles/bdCheckProfileExistsResult.h>

bdCheckProfileExistsResult::bdCheckProfileExistsResult() :
m_exists(false)
{
}

bdCheckProfileExistsResult::~bdCheckProfileExistsResult()
{
}

bdBool bdCheckProfileExistsResult::handleResult(const bdUInt numResults, 
												bdBitBufferRef buffer)
{
	bdBool ok = true;
	m_numResults = 0;

	BD_ASSERT(numResults <= 1, "Only expecting 1 or 0 results.");

	if (numResults > 0)
	{
		ok = buffer->readBool(m_exists);
		if(ok)
		{		
			m_numResults = 1;
		}
	}
	return ok;
}
